package reparto_izca.keymon.lat;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_detalle_promo_subs_0 {


public static RemoteObject  _activity_keypress(RemoteObject __ref,RemoteObject _key) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (c_detalle_promo) ","c_detalle_promo",8,__ref.getField(false, "ba"),__ref,96);
if (RapidSub.canDelegate("activity_keypress")) { return __ref.runUserSub(false, "c_detalle_promo","activity_keypress", __ref, _key);}
Debug.locals.put("key", _key);
 BA.debugLineNum = 96;BA.debugLine="Sub Activity_KeyPress (key As Int) As Boolean";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 98;BA.debugLine="If key=KeyCodes.KEYCODE_BACK Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",_key,BA.numberCast(double.class, c_detalle_promo.__c.getField(false,"KeyCodes").getField(true,"KEYCODE_BACK")))) { 
 BA.debugLineNum = 101;BA.debugLine="B4XPages.ShowPage(\"\")";
Debug.ShouldStop(16);
c_detalle_promo._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 };
 BA.debugLineNum = 105;BA.debugLine="Return False";
Debug.ShouldStop(256);
if (true) return c_detalle_promo.__c.getField(true,"False");
 BA.debugLineNum = 106;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject __ref,RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (c_detalle_promo) ","c_detalle_promo",8,__ref.getField(false, "ba"),__ref,87);
if (RapidSub.canDelegate("activity_pause")) { return __ref.runUserSub(false, "c_detalle_promo","activity_pause", __ref, _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 87;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 89;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_detalle_promo) ","c_detalle_promo",8,__ref.getField(false, "ba"),__ref,56);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_detalle_promo","b4xpage_appear", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 56;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 57;BA.debugLine="Starter.skmt.Initialize(Starter.ruta,\"kmt.db\", Tr";
Debug.ShouldStop(16777216);
c_detalle_promo._starter._skmt /*RemoteObject*/ .runVoidMethod ("Initialize",(Object)(c_detalle_promo._starter._ruta /*RemoteObject*/ ),(Object)(BA.ObjectToString("kmt.db")),(Object)(c_detalle_promo.__c.getField(true,"True")));
 BA.debugLineNum = 58;BA.debugLine="c=Starter.skmt.ExecQuery(\"select CAT_DP_IDPROD, C";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_detalle_promo._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_DP_IDPROD, CAT_DP_PZAS, CAT_DP_PRECIO FROM CAT_DETALLES_PAQ WHERE CAT_DP_ID IN (Select PROIDID from PROIDID)"))));
 BA.debugLineNum = 59;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(67108864);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 60;BA.debugLine="Subs.SetDivider(ListView1, Colors.LightGray, 2)";
Debug.ShouldStop(134217728);
c_detalle_promo._subs.runVoidMethod ("_setdivider" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_listview1" /*RemoteObject*/ )),(Object)(c_detalle_promo.__c.getField(false,"Colors").getField(true,"LightGray")),(Object)(BA.numberCast(int.class, 2)));
 BA.debugLineNum = 61;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 62;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(536870912);
{
final int step6 = 1;
final int limit6 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step6 > 0 && _i <= limit6) || (step6 < 0 && _i >= limit6) ;_i = ((int)(0 + _i + step6))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 63;BA.debugLine="c.Position=i";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 64;BA.debugLine="b=Starter.skmt.ExecQuery2(\"select CAT_GP_NOMBRE";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_b" /*RemoteObject*/ ).setObject (c_detalle_promo._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select CAT_GP_NOMBRE from cat_gunaprod where CAT_GP_ID = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_DP_IDPROD")))}))));
 BA.debugLineNum = 65;BA.debugLine="B.Position =0";
Debug.ShouldStop(1);
__ref.getField(false,"_b" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 66;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(2);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 67;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(4);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 68;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(8);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 69;BA.debugLine="label1.TextColor = Colors.White";
Debug.ShouldStop(16);
_label1.runMethod(true,"setTextColor",c_detalle_promo.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 70;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(32);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 71;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(64);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 72;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(128);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 73;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(256);
_label2.runMethod(true,"setTextColor",c_detalle_promo.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 74;BA.debugLine="If c.GetString(\"CAT_DP_PRECIO\") = 0 Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_DP_PRECIO"))),BA.NumberToString(0))) { 
 BA.debugLineNum = 75;BA.debugLine="regalo = \"SI\"";
Debug.ShouldStop(1024);
__ref.setField ("_regalo" /*RemoteObject*/ ,BA.ObjectToString("SI"));
 }else {
 BA.debugLineNum = 77;BA.debugLine="regalo = \"NO\"";
Debug.ShouldStop(4096);
__ref.setField ("_regalo" /*RemoteObject*/ ,BA.ObjectToString("NO"));
 };
 BA.debugLineNum = 79;BA.debugLine="ListView1.AddTwoLines(B.GetString(\"CAT_GP_NOMBR";
Debug.ShouldStop(16384);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_b" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_GP_NOMBRE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Cantidad # "),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_DP_PZAS"))),RemoteObject.createImmutable(" REGALO  "),__ref.getField(true,"_regalo" /*RemoteObject*/ )))));
 BA.debugLineNum = 80;BA.debugLine="b.Close";
Debug.ShouldStop(32768);
__ref.getField(false,"_b" /*RemoteObject*/ ).runVoidMethod ("Close");
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 82;BA.debugLine="c.Close";
Debug.ShouldStop(131072);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 };
 BA.debugLineNum = 85;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_detalle_promo) ","c_detalle_promo",8,__ref.getField(false, "ba"),__ref,22);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_detalle_promo","b4xpage_created", __ref, _root1);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 22;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 23;BA.debugLine="Root = Root1";
Debug.ShouldStop(4194304);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 25;BA.debugLine="Root.LoadLayout(\"detalle_promo\")";
Debug.ShouldStop(16777216);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("detalle_promo")),__ref.getField(false, "ba"));
 BA.debugLineNum = 26;BA.debugLine="c=Starter.skmt.ExecQuery(\"select CAT_DP_IDPROD, C";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_detalle_promo._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_DP_IDPROD, CAT_DP_PZAS, CAT_DP_PRECIO FROM CAT_DETALLES_PAQ WHERE CAT_DP_ID IN (Select PROIDID from PROIDID)"))));
 BA.debugLineNum = 27;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(67108864);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 28;BA.debugLine="Subs.SetDivider(ListView1, Colors.LightGray, 2)";
Debug.ShouldStop(134217728);
c_detalle_promo._subs.runVoidMethod ("_setdivider" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_listview1" /*RemoteObject*/ )),(Object)(c_detalle_promo.__c.getField(false,"Colors").getField(true,"LightGray")),(Object)(BA.numberCast(int.class, 2)));
 BA.debugLineNum = 29;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 30;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(536870912);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7) ;_i = ((int)(0 + _i + step7))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 31;BA.debugLine="c.Position=i";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 32;BA.debugLine="b=Starter.skmt.ExecQuery2(\"select CAT_GP_NOMBRE";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_b" /*RemoteObject*/ ).setObject (c_detalle_promo._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select CAT_GP_NOMBRE from cat_gunaprod where CAT_GP_ID = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_DP_IDPROD")))}))));
 BA.debugLineNum = 33;BA.debugLine="B.Position =0";
Debug.ShouldStop(1);
__ref.getField(false,"_b" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 34;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(2);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 35;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(4);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 36;BA.debugLine="label1.TextSize = 10";
Debug.ShouldStop(8);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 37;BA.debugLine="label1.TextColor = Colors.White";
Debug.ShouldStop(16);
_label1.runMethod(true,"setTextColor",c_detalle_promo.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 38;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(32);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 39;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(64);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 40;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(128);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 41;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(256);
_label2.runMethod(true,"setTextColor",c_detalle_promo.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 42;BA.debugLine="If c.GetString(\"CAT_DP_PRECIO\") = 0 Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_DP_PRECIO"))),BA.NumberToString(0))) { 
 BA.debugLineNum = 43;BA.debugLine="regalo = \"SI\"";
Debug.ShouldStop(1024);
__ref.setField ("_regalo" /*RemoteObject*/ ,BA.ObjectToString("SI"));
 }else {
 BA.debugLineNum = 45;BA.debugLine="regalo = \"NO\"";
Debug.ShouldStop(4096);
__ref.setField ("_regalo" /*RemoteObject*/ ,BA.ObjectToString("NO"));
 };
 BA.debugLineNum = 47;BA.debugLine="ListView1.AddTwoLines(B.GetString(\"CAT_GP_NOMBR";
Debug.ShouldStop(16384);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_b" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_GP_NOMBRE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Cantidad # "),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_DP_PZAS"))),RemoteObject.createImmutable(" REGALO  "),__ref.getField(true,"_regalo" /*RemoteObject*/ )))));
 BA.debugLineNum = 48;BA.debugLine="b.Close";
Debug.ShouldStop(32768);
__ref.getField(false,"_b" /*RemoteObject*/ ).runVoidMethod ("Close");
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 50;BA.debugLine="c.Close";
Debug.ShouldStop(131072);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 };
 BA.debugLineNum = 52;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_detalle_promo._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_detalle_promo._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_detalle_promo._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_detalle_promo._xui);
 //BA.debugLineNum = 4;BA.debugLine="Dim c As Cursor";
c_detalle_promo._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_detalle_promo._c);
 //BA.debugLineNum = 6;BA.debugLine="Dim Regresar As Button";
c_detalle_promo._regresar = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_regresar",c_detalle_promo._regresar);
 //BA.debugLineNum = 7;BA.debugLine="Dim b As Cursor";
c_detalle_promo._b = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_b",c_detalle_promo._b);
 //BA.debugLineNum = 8;BA.debugLine="Dim regalo As String";
c_detalle_promo._regalo = RemoteObject.createImmutable("");__ref.setField("_regalo",c_detalle_promo._regalo);
 //BA.debugLineNum = 9;BA.debugLine="Dim ListView1 As ListView";
c_detalle_promo._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_detalle_promo._listview1);
 //BA.debugLineNum = 10;BA.debugLine="Dim L_CANT As Label";
c_detalle_promo._l_cant = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_cant",c_detalle_promo._l_cant);
 //BA.debugLineNum = 11;BA.debugLine="Dim L_TOTAL As Label";
c_detalle_promo._l_total = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_total",c_detalle_promo._l_total);
 //BA.debugLineNum = 12;BA.debugLine="Dim borra As Button";
c_detalle_promo._borra = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_borra",c_detalle_promo._borra);
 //BA.debugLineNum = 13;BA.debugLine="Dim Existe As String";
c_detalle_promo._existe = RemoteObject.createImmutable("");__ref.setField("_existe",c_detalle_promo._existe);
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_detalle_promo) ","c_detalle_promo",8,__ref.getField(false, "ba"),__ref,17);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_detalle_promo","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 17;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(65536);
 BA.debugLineNum = 18;BA.debugLine="Return Me";
Debug.ShouldStop(131072);
if (true) return __ref;
 BA.debugLineNum = 19;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_detalle_promo) ","c_detalle_promo",8,__ref.getField(false, "ba"),__ref,91);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_detalle_promo","regresar_click", __ref);}
 BA.debugLineNum = 91;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 93;BA.debugLine="B4XPages.ShowPage(\"\")";
Debug.ShouldStop(268435456);
c_detalle_promo._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 94;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}